Introduction

Welcome to SheetCam, an affordable but powerful 2 1/2 D CAM program.

SheetCam has been designed to fill a niche in the CAM marketplace by providing an easy to use application for machining 'sheet' goods (metal plates, plastic sheets, thin woods etc.) It will generate the required code for inside and outside contours, pockets and drilling cycles and will work with milling machines, routers, engravers and plasma cutters.

SheetCam accepts data in the form of DXF files (CAD drawings), HPGL files (line art) and Excellon files (circuit boards) and has several, configurable, post processors to meet the needs of the many control packages available. Custom post processors can also be written to cope with non-standard applications.

Sheetcam will allow the nesting of parts and has features for copying, duplicating, rotating and mirroring parts to reduce wastage to the minimum. SheetCam can also allow for parts that are not aligned perfectly along the machine axes by aligning the drawing to the actual part.

SheetCam will show cutter paths, rapid moves, layers etc. and the part can be rotated in three dimensions in the view panel to check for errors prior to machining.

Work flow

New users are sometimes confused as to the 'correct' way to get SheetCam to manipulate their drawings/files. The information below is intended to be a guide to the optimal steps in the process from drawing to compiled G-code. There are normally three or four steps in any CAD/CAM process:
  1. Create your part/design in either a CAD package or an 'art' application like Corel Draw.
  2. Open/import the drawing as a DXF, HPGL or Excellon file into the CAM program and set up your tooling sizes and cutting processes. Once these are set run the 'post processor' to generate the required G-code.
  3. (Optional but very worthwhile) Run the generated G-code in a CNC simulator (lots of free versions available on the net) to check for any errors.
  4. Once the code has been verified open the G-code file in your CNC control package and run the program to create the part.

Creating drawings

In order to create usable drawings in either a CAD or art application certain fundamental principles must be adhered to otherwise SheetCam will not be able to manipulate the resulting DXF, HPGL or Excellon file. An outline to creating acceptable drawings can be found in the 'Hints & Tips/Creating your drawing' section of this help file.

Context sensitive help

Clicking on an open palette or settings window and pressing the <F1> key will open the specific help file for that item.


Safety

Care must be taken when using computer controlled equipment to ensure the safety of the operator, bystanders and the equipment itself. While SheetCam does not directly control the machine (except in special circumstances) the post processor code generated by SheetCam is used by other software that in turn controls the machine operation.

It is strongly advised that all post processor files are run through a CNC simulator of some sort to check for errors prior to running them on the machine in question. CNC simulators are available as 'freeware' at a number of sites on the internet and can be part of the control software itself. 'Stable Design' cannot be held responsible for any damage caused by incorrect programming by the user.


File Menu

Click on a menu item for information.


Run post processor

Runs the 'post processor' chosen from the 'Options/Select post processor' menu. This option can also be activated by clicking on the [image] button on the toolbar.

Back to 'File Menu'


New job

Opens a new job.

Back to 'File Menu'


Open_job

Opens a pop-up window allowing you to browse for an existing job.

Back to 'File Menu'


Recent_Jobs

Opens a pop-up window showing the last five jobs opened.

Back to 'File Menu'


Save_Job

Opens a pop-up window allowing you to save your current job as a 'job' file (.job).

Back to 'File Menu'


Save_Job_As

Opens a pop-up window allowing you to save your current job under a different name or location as a 'job' file (.job).

Back to 'File Menu'


New_Part

Opens a pop-up window allowing you to browse for your part file. Acceptable formats are DXF, HPGL or Excellon files.

Back to 'File Menu'


Open_Part

Opens a pop-up window allowing you to browse for a previously saved 'part' file (.part).

Back to 'File Menu'


Recent_Parts

Opens a pop-up window showing the last five parts opened.

Back to 'File Menu'


Save_Part

Opens a pop-up window allowing you to save your current part as a 'part' file (.part).

Back to 'File Menu'


Save_Part_As

Opens a pop-up window allowing you to save your current part under a different name or location as a 'part' file (.part).

Back to 'File Menu'


Open_Drawing

Opens a pop-up window allowing you to browse for your drawing file. Acceptable formats are DXF, HPGL or Excellon files. The formats are selectable from the drop down menu. Each particular format will open its own specific settings dialogue window when you select the file and click on <Open>.

To view the settings for each drawing type click on the file type in the graphic above.

Note: For tips on creating suitable drawings see the 'Hints and Tips' section.

Back to 'File Menu'


Open_Drawing_DXF

Open DXF options

File scale

Select the file scale from the available options.

Origin

Select the origin location from the available options.

Bottom Left
The bottom left hand corner of the drawing is aligned to the machine 0,0 position.

Drawing centre
The centre of the drawing is aligned to the machine 0,0 position.

Use drawing origin
The origin specified in the drawing is used as the machine 0,0 position. The position of the origin in the drawing varies between different cad packages. Some use the page bottom left hand corner, some use the page centre and some use the origin (sometimes called the datum) as it is placed in the drawing.

Current Position
The centre of the new drawing is placed in exactly the same position as the current drawing.

Material bottom left
The bottom left corner of the material is aligned to the machine 0,0 position.

Use points for drilling

Check this option if you marked the hole locations with 'points' in your original drawing.

Note: For tips on creating suitable drawings see the 'Hints and Tips' section.

Back to 'Open Drawing Menu'

Back to 'File Menu'


Open_Drawing_HPGL

Open HPGL options

Origin

Select the origin location from the available options.

Bottom Left
The bottom left hand corner of the drawing is aligned to the machine 0,0 position.

Drawing centre
The centre of the drawing is aligned to the machine 0,0 position.

Use drawing origin
The origin specified in the drawing is used as the machine 0,0 position. The position of the origin in the drawing varies between different cad packages. Some use the page bottom left hand corner, some use the page centre and some use the origin (sometimes called the datum) as it is placed in the drawing.

Current position
The centre of the new drawing is placed in exactly the same position as the current drawing.

Material bottom left
The bottom left corner of the material is aligned to the machine 0,0 position.

Note: For tips on creating suitable drawings see the 'Hints and Tips' section.

Back to 'Open Drawing Menu'

Back to 'File Menu'


Open_Drawing_Excellon

Open Excellon options

File scale

Select the file scale from the available options.

Origin

Select the origin location from the available options.

Bottom Left
The bottom left hand corner of the drawing is aligned to the machine 0,0 position.

Drawing centre
The centre of the drawing is aligned to the machine 0,0 position.

Use drawing origin
The origin specified in the drawing is used as the machine 0,0 position. The position of the origin in the drawing varies between different cad packages. Some use the page bottom left hand corner, some use the page centre and some use the origin (sometimes called the datum) as it is placed in the drawing.
Current Position
The centre of the new drawing is placed in exactly the same position as the current drawing.

Material bottom left
The bottom left corner of the material is aligned to the machine 0,0 position.

Number format

Excellon files use fixed point numbers. The number format specifies the number of leading and trailing digits. For instance 2.4 means two leading digits and 4 trailing digits. This is quite a common format for Inch files. Metric files often use 4.3 (4 leading, 3 trailing). To save space in the file leading or trailing zeros can be suppressed. You need to specify which system is used. If the file does not use zero suppression then it does not matter if you select 'leading zeros' or 'trailing zeros'.

Common problems:
My drawing comes out 10x too big.
If you are using leading zero suppression, increase the second digit of the number format otherwise decrease the first digit.

My drawing comes out 10x too small.
If you are using leading zero suppression, decrease the second digit of the number format otherwise increase the first digit.

My drawing comes out 25x too big or 25x too small.
You have selected metric for an inch file or vice-versa.

Note: Some files include tags for inch/metric and leading/trailing zeros. In that case they will override your selection.

Create tools and processes

Enabled

As the tools are specified in the file SheetCam can set up the tool table and processes to run the job. With this option turned on you can simply load a file and immediately post process, without having to do anything else.

Drill depth

Enter the required drill depth in the box.

Plunge rate

Enter the required plunge rate in the box.

Spindle speed

Enter the required spindle speed in the box.

Note: For tips on creating suitable drawings see the 'Hints and Tips' section.

Back to 'Open Drawing Menu'

Back to 'File Menu'


Open_Drawing_EMF

Open EMF options

Origin

Select the origin location from the available options.

Bottom Left
The bottom left hand corner of the drawing is aligned to the machine 0,0 position.

Drawing centre
The centre of the drawing is aligned to the machine 0,0 position.

Use drawing origin
The origin specified in the drawing is used as the machine 0,0 position. The position of the origin in the drawing varies between different cad packages. Some use the page bottom left hand corner, some use the page centre and some use the origin (sometimes called the datum) as it is placed in the drawing.

Current Position
The centre of the new drawing is placed in exactly the same position as the current drawing.

Material bottom left
The bottom left corner of the material is aligned to the machine 0,0 position.

Note: For tips on creating suitable drawings see the 'Hints and Tips' section.

Back to 'Open Drawing Menu'

Back to 'File Menu'


Recent_Drawings

Opens a pop-up window showing the last five drawings opened.

Back to 'File Menu'


Open_Toolset

Opens a pop-up window allowing you to browse for a previously saved 'tools' file (.tools).

Back to 'File Menu'


Save_Toolset

Opens a pop-up window allowing you to save your current tools as a 'tools' file (.tools).

Back to 'File Menu'


Save_process

Opens a pop-up window allowing you to save a process for future use as a 'process' file (.process).

Note: This option is 'greyed out' until you generate your first process.

Back to 'File Menu'


Load_Process

Opens a pop-up window allowing you to browse for a previously saved process file (.process).

Back to 'File Menu'


Print

Prints the current item(s) in the 'view' panel. You must have a printer connected and 'online' to print.

Note: If the 'view' panel has a black background all the colours will be inverted to save ink.

Back to 'File Menu'


Exit

Exits SheetCam. If you have any unsaved items you will be prompted to save first.

Back to 'File Menu'


Edit Menu

Click on a menu item for information.


Undo

Undo the last action.

Back to 'Edit Menu'


View Menu

Click on a menu item for information.


DNC Tool

Send data

Sends the most recently post-processed data to your machine via a RS232 interface.

Open file icon

Use this button to search for and open a G-code file. Normally the file is opened automatically when you
run the post processor but you can also manually open a file to send using the DNC tool.

Configure

Opens the menu shown below.

Note: Check in your equipment manual for the correct communication port settings.

Serial port/Run external command

You can either send the file to a serial port or pass it on to an external program. Use the radio buttons to make your selection.

Command settings

Command

You can add some extra flags to the command:

%F = full file name with path
%f = file name with path but without extension
%e = file extension
%p = file path

For instance the command:

c:\windows\notepad.exe %F

would open the file in Notepad.

Run in a DOS box

If the 'Run in a dos box' checkbox is checked then the command is run in a DOS command window.

Keep open when command finishes

By checking this box the DOS command window will remain open once it has completed its task.

Wait for command to finish

By checking this box the DNC tool will not do anything else until the external program has exited.

Port settings

Comm port

Select the correct communications port for your application.

Baud rate

Select the correct baud rate for your application.

Parity

Select the correct parity for your application.

Byte size

Select the correct byte size for your application.

Stop bits

Select the correct stop bits for your application.

Flow control

Select the correct flow control for your application.

Auto send after post processing

If this option is enabled the g-code is sent immediately when the post processor is run.

Back to 'View Menu'


Layer tool
To turn a layer on or off double-click on the check mark.
To rename a layer double-click on the name.
To minimize the palette click on the arrow button.
To close the palette click on the 'X' button.

Back to 'View Menu'


Colour legend

Each colour represents an item displayed in the 'view' panel.
To change the default colours double-click on either the name or the coloured box and select a new colour.
To minimize the palette click on the arrow button.
To close the palette click on the 'X' button.

Back to 'View Menu'


Show_input_paths

Toggles the input paths on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Show_segment_ends

Toggles the segment ends on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Show_path_ends

Toggles the path ends on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Note: This can be useful for locating 'non-joined' lines which may cause erratic behaviour.

Back to 'View Menu'


Show_tool_paths

Toggles the tool paths on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Show_rapid_moves

Toggles the rapid move paths on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Show_path_directions

Toggles the path directions on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Show_machine_and_work

Toggles the machine and work on or off. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Zoom_to_fit_job

Zooms the 'view' panel to fit the job. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Zoom_to_fit_current_part

Zooms the 'view' panel to fit the current part. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Zoom_to_fit_material

Zooms the 'view' panel to fit the material. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Zoom_to_fit_machine

Zooms the 'view' panel to fit the machine. This option can also be activated by clicking on the [image] button in the toolbar.

Back to 'View Menu'


Zoom_in

Zooms the 'view' in. This option can also be activated by clicking on the [image] button in the toolbar or by pressing <Page Up> on the keyboard.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'View Menu'


Zoom_out

Zooms the 'view' out. This option can also be activated by clicking on the [image] button in the toolbar or by pressing <Page Down> on the keyboard.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'View Menu'


Tools Menu

Click on a menu item for information.

Note: The choices available under this menu are dependant upon the selections made in the 'Options/Complexity' menu.


New Mill

New mill/router

Note: All units based on the selection in the 'Options/Units' menu.

Note: This menu item is only visible if it has been selected in the 'Options/Complexity' menu.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Tool name

Manually enter tool name if the box above is not checked.

Tool type

Select the correct tool type from the drop down menu shown below.

Note: This page shows setting options for a new mill/router. To see the other tool setup pages click on a link below.
  • New Drill settings.
  • New V cutter settings.
  • New Automatic tap settings.
  • New Rigid tap settings.
Note: A mill/router can plunge and cut sideways. It can be used by the contour, drill and pocket processes.
Note: A drill can plunge but cannot cut sideways. It can only be used by the drill process.
Note: A V cutter is offset depending on the angle and depth. The deeper you cut, the more the cut path is offset.
Note: An automatic tapping head automatically reverses when you retract the spindle.
Note: A rigid tapping head does not reverse when you retract the spindle, the spindle is reversed instead.

Diameter

Enter the diameter of the tool here.

Flute length

Enter the tool flute length here (i.e. the length from the tip of the tool to the end of the cutting flute).

Tool projection

Enter the tool projection length here (i.e. the distance from the tip of the tool to the face of the chuck/collet).

Tool length offset

Enter the amount of tool offset here.

Note: Tool length offset is the length of the tool from a particular reference point. This may be the spindle nose or any other convenient reference point. It is used to compensate for different length tools. The post processor may use this value in one of two ways: If the controller supports tool length offsets then they are used. If not the offset is added to the Z position.

Z increment

Enter the Z increment depth here. This function controls the depth of cut per pass.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Feed rate

Enter the required feed rate here.

Plunge rate

Enter the plunge rate here.

Ramp angle

Ramping' allows the cutter to enter the work while travelling in a forward direction. This reduces the load on the Z axis and also allows you to plunge with a 'non-centre cutting' tool (i.e. some 4-flute end mills). The cutter will travel forwards as it plunges, cutting a ramp into the work. This ramp is then machined away. If you are ramping into an open contour or between tabs then the cutter ramps down then backs up to the start of the cut, reverses up to the start point then reverses again and carries on to the end. If the contour is open then the cutter simply carries on at the end of the cut until the ramp is machined away. For small contours the cutter will spiral down to depth. The ramp angle specifies the angle at which the cutter will plunge into the work . 0 degrees or 90 degrees are straight down (no ramping), 5 degrees is very shallow and 85 degrees is very steep.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Spindle rotation

Select the spindle direction from the available choices.

Note: These items only need to be checked if your spindle motor is controlled via software.

Note: The spindle direction also affects the cut direction. For instance if climb cutting, outside contours are cut clockwise if the spindle is clockwise or anticlockwise if the spindle is anticlockwise.

OK

'OK' keeps the changes and applies them to any new processes that use that tool. The tool diameter however is immediately applied to all processes that use the tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the spindle speed, feed rate, ramp angle etc.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Add a new mill/router tool' button [image] located in the left-hand vertical toolbar.

Back to 'Tools Menu'


New drill

Note: All units based on the selection in the 'Options/Units' menu.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Tool name

Manually enter tool name if the box above is not checked.

Tool type

Select the correct tool type from the drop down menu shown below.

Note: This page shows setting options for a new drill. To see the other tool setup pages click on a link below.
  • New mill/router settings.
  • New V cutter settings.
  • New Automatic tap settings.
  • New Rigid tap settings.
Note: A mill/router can plunge and cut sideways. It can be used by the contour, drill and pocket processes.
Note: A drill can plunge but cannot cut sideways. It can only be used by the drill process.
Note: A V cutter is offset depending on the angle and depth. The deeper you cut, the more the cut path is offset.
Note: An automatic tapping head automatically reverses when you retract the spindle.
Note: A rigid tapping head does not reverse when you retract the spindle, the spindle is reversed instead.

Diameter

Enter the diameter of the tool here.

Flute length

Enter the tool flute length here (i.e. the length from the tip of the tool to the end of the cutting flute).

Tool projection

Enter the tool projection length here (i.e. the distance from the tip of the tool to the face of the chuck/collet).

Tool length offset

Enter the amount of tool offset here.

Note: Tool length offset is the length of the tool from a particular reference point. This may be the spindle nose or any other convenient reference point. It is used to compensate for different length tools. The post processor may use this value in one of two ways: If the controller supports tool length offsets then they are used. If not the offset is added to the Z position.

Peck depth

Enter the peck depth here. This function controls the depth of each peck of the drilled hole (i.e. how deep the drill will travel before backing out to relieve/break chips).

Note: This is a positive (+) figure as you are specifying the 'depth' of the peck. Some users expect this to be a minus (-) figure.

Plunge rate

Enter the plunge rate here.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Spindle rotation

Select the spindle direction from the available choices.

Note: These items only need to be checked if your spindle motor is controlled via software.

Note: The spindle direction also affects the cut direction. For instance if climb cutting, outside contours are cut clockwise if the spindle is clockwise or anticlockwise if the spindle is anticlockwise.

OK

'OK' keeps the changes and applies them to any new processes that use that tool. The tool diameter however is immediately applied to all processes that use the tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the spindle speed, feed rate, etc.

Help

'Help' opens the help file at the relevant location.

Back to 'Tools Menu'


New V cutter

Note: All units based on the selection in the 'Options/Units' menu.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Tool name

Manually enter tool name if the box above is not checked.

Tool type

Select the correct tool type from the drop down menu shown below.

Note: This page shows setting options for a new V cutter. To see the other tool setup pages click on a link below.
  • New Mill/Router settings.
  • New Drill settings.
  • New Automatic tap settings.
  • New Rigid tap settings.
Note: A mill/router can plunge and cut sideways. It can be used by the contour, drill and pocket processes.
Note: A drill can plunge but cannot cut sideways. It can only be used by the drill process.
Note: A V cutter is offset depending on the angle and depth. The deeper you cut, the more the cut path is offset.
Note: An automatic tapping head automatically reverses when you retract the spindle.
Note: A rigid tapping head does not reverse when you retract the spindle, the spindle is reversed instead.

Tip diameter

Enter the tip diameter of the tool here.

V angle

Enter the angle of the tool tip here.

Note: This value is used in the corner sharpening function (see 'Contour process')

Flute length

Enter the tool flute length here (i.e. the length from the tip of the tool to the end of the cutting flute).

Tool projection

Enter the tool projection length here (i.e. the distance from the tip of the tool to the face of the chuck/collet).

Tool length offset

Enter the amount of tool offset here.

Note: Tool length offset is the length of the tool from a particular reference point. This may be the spindle nose or any other convenient reference point. It is used to compensate for different length tools. The post processor may use this value in one of two ways: If the controller supports tool length offsets then they are used. If not the offset is added to the Z position.

Z increment

Enter the Z increment depth here. This function controls the depth of cut per pass.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Feed rate

Enter the required feed rate here.

Plunge rate

Enter the plunge rate here.

Ramp angle

Ramping' allows the cutter to enter the work while travelling in a forward direction. This reduces the load on the Z axis and also allows you to plunge with a 'non-centre cutting' tool (i.e. some 4-flute end mills). The cutter will travel forwards as it plunges, cutting a ramp into the work. This ramp is then machined away. If you are ramping into an open contour or between tabs then the cutter ramps down then backs up to the start of the cut, reverses up to the start point then reverses again and carries on to the end. If the contour is open then the cutter simply carries on at the end of the cut until the ramp is machined away. For small contours the cutter will spiral down to depth. The ramp angle specifies the angle at which the cutter will plunge into the work . 0 degrees or 90 degrees are straight down (no ramping), 5 degrees is very shallow and 85 degrees is very steep.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Spindle rotation

Select the spindle direction from the available choices.

Note: These items only need to be checked if your spindle motor is controlled via software.

Note: The spindle direction also affects the cut direction. For instance if climb cutting, outside contours are cut clockwise if the spindle is clockwise or anticlockwise if the spindle is anticlockwise.

OK

'OK' keeps the changes and applies them to any new processes that use that tool. The tool diameter however is immediately applied to all processes that use the tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the spindle speed, feed rate, ramp angle etc.

Help

'Help' opens the help file at the relevant location.

Back to 'Tools Menu'


New automatic tap

Note: All units based on the selection in the 'Options/Units' menu.

Note: This menu item is only visible if it has been selected in the 'Options/Complexity' menu.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Tool name

Manually enter tool name if the box above is not checked.

Tool type

Select the correct tool type from the drop down menu shown below.

Note: This page shows setting options for a new automatic tapping head. To see the other tool setup pages click on a link below.
  • New Mill/Router settings.
  • New Drill settings.
  • New V cutter settings.
  • New Rigid tap settings.
Note: A mill/router can plunge and cut sideways. It can be used by the contour, drill and pocket processes.
Note: A drill can plunge but cannot cut sideways. It can only be used by the drill process.
Note: A V cutter is offset depending on the angle and depth. The deeper you cut, the more the cut path is offset.
Note: An automatic tapping head automatically reverses when you retract the spindle.
Note: A rigid tapping head does not reverse when you retract the spindle, the spindle is reversed instead.

Diameter

Enter the diameter of the tool here.

Flute length

Enter the tool flute length here (i.e. the length from the tip of the tool to the end of the cutting flute).

Tool projection

Enter the tool projection length here (i.e. the distance from the tip of the tool to the face of the chuck/collet).

Tool length offset

Enter the amount of tool offset here.

Note: Tool length offset is the length of the tool from a particular reference point. This may be the spindle nose or any other convenient reference point. It is used to compensate for different length tools. The post processor may use this value in one of two ways: If the controller supports tool length offsets then they are used. If not the offset is added to the Z position.

Axial travel

An automatic tapping head (e.g. TapMatic) automatically reverses when you retract the spindle. There is a small amount of backlash when you start to retract as the reverse clutch engages. This value is that backlash.

Reverse multiplier

Normally tapping heads spin faster in reverse than forwards. If your reverse speed is 1.5x as fast as the plunge speed then use a value of 150%, if it is twice as fast use 200%.

Pitch

Enter the thread pitch if you are using a metric machine or the threads per inch (TPI) if you are using an imperial machine.

Underfeed

If you feed faster than the tap cuts you will either break the tap or strip the thread. The worst that can happen if you underfeed is that the clutch in the head disengages for a short time. It is customary to feed slightly slower then the theoretical speed to make sure you don't overfeed. Normally 5 - 10% is enough. If the tapping head 'chatters' while tapping, reduce the amount of underfeed.

Spindle speed

Enter the spindle speed here.

Note: Spindle speed must be entered. It is used with the tap pitch to work out the feed rate.

Spindle rotation

Select the spindle direction from the available choices.

Note: These items only need to be checked if your spindle motor is controlled via software.

Note: The spindle direction also affects the cut direction. For instance if climb cutting, outside contours are cut clockwise if the spindle is clockwise or anticlockwise if the spindle is anticlockwise.

OK

'OK' keeps the changes and applies them to any new processes that use that tool. The tool diameter however is immediately applied to all processes that use the tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the spindle speed, feed rate, ramp angle etc.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Add a new mill/router tool' button [image] located in the left-hand vertical toolbar.

Back to 'Tools Menu'


New rigid tap

Note: All units based on the selection in the 'Options/Units' menu.

Note: This menu item is only visible if it has been selected in the 'Options/Complexity' menu.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Tool name

Manually enter tool name if the box above is not checked.

Tool type

Select the correct tool type from the drop down menu shown below.

Note: This page shows setting options for a new rigid tapping head. To see the other tool setup pages click on a link below.
  • New Mill/Router settings.
  • New Drill settings.
  • New V cutter settings.
  • New Automatic tap settings.
Note: A mill/router can plunge and cut sideways. It can be used by the contour, drill and pocket processes.
Note: A drill can plunge but cannot cut sideways. It can only be used by the drill process.
Note: A V cutter is offset depending on the angle and depth. The deeper you cut, the more the cut path is offset.
Note: An automatic tapping head automatically reverses when you retract the spindle.
Note: A rigid tapping head does not reverse when you retract the spindle, the spindle is reversed instead.

Diameter

Enter the diameter of the tool here.

Flute length

Enter the tool flute length here (i.e. the length from the tip of the tool to the end of the cutting flute).

Tool projection

Enter the tool projection length here (i.e. the distance from the tip of the tool to the face of the chuck/collet).

Tool length offset

Enter the amount of tool offset here.

Note: Tool length offset is the length of the tool from a particular reference point. This may be the spindle nose or any other convenient reference point. It is used to compensate for different length tools. The post processor may use this value in one of two ways: If the controller supports tool length offsets then they are used. If not the offset is added to the Z position.

Reverse multiplier

To speed up the tapping cycle you can use a higher spindle speed when retracting. Make sure you don't exceed the machine's maximum rated spindle speed (spindle speed x reverse multiplier).

Pitch

Enter the thread pitch if you are using a metric machine or the threads per inch (TPI) if you are using an imperial machine.

Underfeed

Rigid tap holders normally have some axial travel to allow for slight variations in spindle speed. It is sometimes useful to feed slightly slower then the ideal to prevent overfeeding and breaking the tap. Normally you would use 0 - 3%.

Spindle speed

Enter the spindle speed here.

Note: Spindle speed must be entered. It is used with the tap pitch to work out the feed rate.

Spindle rotation

Select the spindle direction from the available choices.

Note: These items only need to be checked if your spindle motor is controlled via software.

Note: The spindle direction also affects the cut direction. For instance if climb cutting, outside contours are cut clockwise if the spindle is clockwise or anticlockwise if the spindle is anticlockwise.

OK

'OK' keeps the changes and applies them to any new processes that use that tool. The tool diameter however is immediately applied to all processes that use the tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the spindle speed, feed rate, ramp angle etc.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Add a new mill/router tool' button [image] located in the left-hand vertical toolbar.

Back to 'Tools Menu'


New plasma cutter

Note: All units based on the selection in the 'Options/Units' menu.

Note: This menu item is only visible if it has been selected in the 'Options/Complexity' menu.

Note: If you need to use a plasma cutter to pierce holes at specific locations the 'Drilling process' can be used with a plasma tool setting for this purpose. See the 'Drilling process' page for more information.

Tool number

Enter the tool number here.

Automatically generate name

Checking this box will automatically generate the tool name based on selections made in the lower boxes.

Kerf width

Enter the kerf width (cut width) here.

Feed rate

Enter the required feed rate here.

Preheat

Enter the preheat time here. This is mainly for use with oxy-fuel cutting to preheat the work before turning on the oxygen to pierce and start the cut.

Pierce delay

Enter the delay time here.

Pierce height

Enter the pierce height here.

Plunge rate

Enter the plunge rate here.

Ramp lead in

Clicking this box will enable the ramp lead in option. Instead of moving straight down the cutter will ramp down to the cut start. This can help reduce tip contamination.

Cut height

Enter the cut height here.

Pause at end of cut

Enter the pause time here.

OK

'OK' keeps the changes and applies them to any new processes that use that tool.

Cancel

'Cancel' cancels any changes and closes the dialogue box.

Update processes

'Update processes' will copy all of the tool's parameters into any processes that use this tool. For instance this will reset the kerf width, feed rate, pierce delay, etc.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Add a new plasma cutter tool' button [image] located in the left-hand vertical toolbar.

Note: Pierce height, plunge rate, ramp leadin and cut height are only available for machines where the Z axis is controlled via G-code. Some machines perform these operations automatically.

Back to 'Tools Menu'


New code snippet

New code snippet creates a 'tool' that consists of one or more lines of G-code. This is then used by the 'Insert code' process.

Enter a name for the code in the top window and the body of the code in the lower window. Click <OK> to accept.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Add a new code snippet' button [image] located in the left-hand vertical toolbar.

Back to 'Tools Menu'


Processes Menu

Click on a menu item for information.


New contour basic

Note: All units based on the selection in the 'Options/Units' menu.

Cut start tab

Click on the 'Cut start' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Contour method

Select the contour method required using the drop down menu shown below.

Note: 'Inside offset' will offset the cutter path to the 'inside' of the contour by half the diameter of the tool chosen below.

Note: 'Outside offset' will offset the cutter path to the 'outside' of the contour by half the diameter of the tool chosen below.

Note: 'No offset' will set the centre of the tool on the contour line.

Note: The above is for closed contours, for open contours see ‘Offset open paths' on the ‘Cut path’ tab.

Layer

Select the layer you wish to apply the contour to using the drop down menu shown below.

Tool

Select the correct tool using the down menu shown below.

Edit

Calls up the 'Tool Edit' dialogue box.

Start depth

This function specifies the depth at which to start cutting.

Note: This function could be used if you want to cut a second pocket into the floor of a previously machined pocket that is 1" deep. Set the start 'depth' to 1" (a positive (+) dimension) and SheetCam will start machining at this point. This saves a lot of 'air cutting' time.

CAUTION: Improper use of this function could lead to tool/part crashes!
Only change the value from zero (0) (the default value) if you are actually cutting a 'pocket within a pocket'.

Cut depth

Enter the cut depth here. This function controls the total depth of cut.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Z increment

Enter the Z increment depth here. This function controls the depth of cut per pass.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Finish allowance

Enter the finish allowance here. This will force SheetCam to leave the part either oversized or undersized depending on the 'contour method' chosen above. You will then need to specify a new 'process' to machine the part to the 'finished' size using a finishing cutter if required and/or a different 'Z increment' depth.

Note: Leaving the allowance at zero (0) will machine the contour to full size with no need for a finishing pass.

Feed rate

Enter the required feed rate here.

Plunge rate

Enter the plunge rate here.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Coolant

Select the coolant type from the available choices.

Note: These items only need to be checked if your coolant pump is controlled via software.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new contour process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Cut Start Tab

Cut start

Note: All units based on the selection in the 'Options/Units' menu.

Basic tab

Click on the 'Basic' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Ramp Angle

'Ramping' allows the cutter to enter the work while travelling in a forward direction. This reduces the load on the Z axis and also allows you to plunge with a 'non-centre cutting' tool (i.e. some 4-flute end mills). The cutter will travel forwards as it plunges, cutting a ramp into the work. This ramp is then machined away. If you are ramping into an open contour or between tabs then the cutter ramps down then backs up to the start of the cut, reverses up to the start point then reverses again and carries on to the end. If the contour is closed then the cutter simply carries on at the end of the cut until the ramp is machined away. For small contours the cutter will spiral down to depth. The ramp angle specifies the angle at which the cutter will plunge into the work . 0 degrees or 90 degrees are straight down (no ramping), 5 degrees is very shallow and 85 degrees is very steep.

Note: If a cut path is very short it will not be possible to ramp into the cut. In this case the cutter will be plunged straight down. The cut process will turn yellow to warn you that this is happening.

Lead in

Select the type of lead in required using the 'radio' buttons and enter the size in box.

Note: Size refers to the length of the lead in.

Lead out

Select the type of lead out required using the 'radio' buttons and enter the size in box.

Note: Size refers to the length of the lead out.

Use code snippet

Select the required code snippet from the drop down menu.

Note: The code snippet needs to be previously defined using the 'Tools/New code snippet' function. The snippet is inserted into the code at the start of the cut just before the cutter plunges to depth.

Help

'Help' opens the help file at the relevant location.

Back to 'Processes menu'


Cut path Tab

Cut path

Basic tab

Click on the 'Basic' tab to access more options.

Cut start tab

Click on the 'Cut start' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Auto/manual

Select auto or manual path optimisation using the radio buttons.

Note: If 'Auto' is selected the cut sequence is calculated automatically. SheetCam tries to minimise rapid moves while adhering to the rules shown under ‘Cutting rules’ below. If 'Manual' is selected then you can manually set the cut sequence (by editing the start points).

Optimise now

This button optimises the cut path immediately. This is useful to see the effect of any changes or to create a starting point for manual editing.

Start point

This is the point where SheetCam assumes the cutter is when it starts calculating the paths. Paths nearest the start point will be cut first while complying with the above rules.

Cutting rules

All inside first

Inside contours are cut first then outside. This is the way SheetCam always used to work. Useful for plasma or for milling/routing when you are cutting all the way through.

Shortest path

This option uses the shortest possible route between contours. This is the one you would use for most milling/routing jobs where you aren't cutting right through.

Keep parts together

Like all inside first, it cuts inside then outside. If your drawing contains more than one part then each part is cut out completely before moving on to the next. This is useful for plasma, where heat distortion can cause problems if you cut all the insides of all parts then cut all the outsides. By the time you get to the last part heat distortion of the sheet can result in the inside not lining up with the outside.

Preferred cut direction

This adds a bias to the path optimisation. For example, if you set the slider toward horizontal, SheetCam will prefer to rapid left/right rather than up/down.

Reverse open paths

Check this box to reverse the cut direction of open paths.

Note: If this item is selected and you are cutting to depth in a number of passes then the cutter will reverse direction on each pass. If this is turned off the cutter will lift and return to the start of the path for each pass. It can give a better finish but obviously takes longer.

Offset open paths

Open paths are always offset to the right of the start point. That is, if you were standing at the start point looking down the line the offset would be to your right. To reverse the side of the offset, move the start point to the other end of the line. Inside/outside offset make no difference as a line doesn't have an inside or outside.

Note: If you have climb cut selected the cut will start at the opposite end of the path to the start point. I know this is counter intuitive but it is the only way to maintain the 'offset to the right' rule.

Sharpen/Overcut corners

Note: Sharpen corners will only appear if you have selected a V cutter while overcut corners will only appear if you have selected a mill/router.

Sharpen corners

Check this box to apply 'corner sharpening' to corners.

Note: If you are using a V cutter on inside corners the radius of the cut is bigger at the top than at the bottom due to the taper of the cutter. Turning on 'sharpen corners' ramps the cutter up on inside corners so that the radius of the cut is the same at the top as it is at the bottom. This is a benefit when engraving text or graphics. This option is not available for mill/router cutters. The steps for using corner sharpening are shown below:

First define your tool. It must be defined as a V cutter and you must enter the V angle. Pocket the area to clear the majority of the material using a regular milling cutter. Now do an 'inside contour' using the V tool. With the V tool selected go to the 'Cut path' tab. You should see a check box for 'Sharpen corners' and a slider called 'Angle threshold'. If you are engraving text or something that is made up of lots of short line segments you may find that SheetCam is sharpening some very shallow corners which wastes time and does not make much difference to the final result. Increasing the angle threshold will remove these.

Overcut corners

Check this box to apply 'over cutting' to corners.

Note: If this is selected the cutter will cut into inside corners to allow room for a sharp cornered part to fit. For instance if you are cutting a rebate for a square part to fit into this option will save manually squaring out the corners. This option is not available for V cutters.

Angle threshold

Note: This option only appears if you have selected a V cutter as your tool.

Note: When sharpening corners you may not want to sharpen shallow angles. This option controls how sharp an angle has to be to trigger corner sharpening. Consider the letter 'C' where the outline consists of a large number of short line segments. You don't normally want to sharpen the join between every line.

Tab length/Tab thickness

The tab length and tab thickness controls are used to specify the respective sizes of holding tabs (i.e. the material left behind to hold parts in place). To place tabs use the 'Holding tab tool' on the tool bar.

Tab length

This control is used to specify the length of the holding tab. Tabs can be any size to suit the application but generally longer tabs have a reduced thickness while shorter tabs are usually left at the material thickness.

Tab thickness

This control is used to specify the thickness of the holding tab. Setting the tab thickness to less than the material thickness will result in thin tabs that can be easily cut/broken when machining is complete.

Note: By using the tab length/thickness controls you can make SheetCam clear any clamps or fixtures as it cuts provided that you know where the clamps will be. By making the 'thickness' greater than the material thickness plus the clamp thickness SheetCam will 'rapid' traverse for the length of the tab after the cutter has withdrawn to the correct height provided that the combined thickness is greater than the rapid clearance height (as set under the 'Options/Material' menu item). The steps for using 'tabs' are shown below:

Set up your contour process as normal and then go to the 'Cut path' tab and set the tab length and tab thickness. Tab length is the length of the tab at the narrowest point. Thickness is the amount of material left in the tab.

Once your process is set up click on the 'Tabs' button [image]. The cursor will change to an arrow with a 'T' next to it if it is near a valid tab position. Now click on the outline where you want to place the tab. You can place as many tabs as you like. To delete a tab point at it (it will change to white), right click and select delete. To check if the tabs have been placed correctly click on the 'Scroll screen' button [image] then rotate the display by holding the shift key and dragging with the mouse. You will see the cut paths lift up where you have placed the tabs.

If you set the tab thickness to greater than the cut depth + rapid clearance then the cutter will rapid when it moved from one end of the tab to another. This is handy if you have a holding clamp in the way. You can set the tab thickness so that the cutter will lift over the clamp even if this is higher than the rapid clearance.

If you are not using tabs it is recommend that you set the tab thickness to 0 (zero). When using a tab thickness greater than 0 (zero) SheetCam uses a slightly different cutting strategy which can be a little less efficient. This is particularly noticeable if you use ramping in conjunction with the tabs.

Help

'Help' opens the help file at the relevant location.

Back to 'Processes menu'


New contour notes

Basic tab

Click on the 'Basic' tab to access more options.

Cut start tab

Click on the 'Cut start' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new contour process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New fill

Note: All units based on the selection in the 'Options/Units' menu.

Notes tab

Click on the 'Notes' tab to access more options.

Pocket method

Select either 'Spiral pocket' or 'Zigzag pocket' from the drop down menu.

Note: If 'Zigzag pocket' is selected a new menu item will appear as shown below.

Zigzag pocket

Changing the 'Fill angle' changes the direction of cut for the zigzag pocket.

Layer

Select the layer you wish to apply the pocket to using the drop down menu shown below.

Tool

Select the correct tool using the down menu shown below.

Edit

Calls up the 'Tool Edit' dialogue box.

Start depth

This function specifies the depth at which to start cutting.

Note: This function could be used if you want to cut a second pocket into the floor of a previously machined pocket that is 1" deep. Set the start 'depth' to 1" (a positive (+) dimension) and SheetCam will start machining at this point. This saves a lot of 'air cutting' time.

CAUTION: Improper use of this function could lead to tool/part crashes!
Only change the value from zero (0) (the default value) if you are actually cutting a 'pocket within a pocket'.

Cut depth

Enter the cut depth here. This function controls the total depth of cut.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Z increment

Enter the Z increment depth here. This function controls the depth of cut per pass.

Note: This is a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Step over

Set the 'Step over' amount as a percentage of the cutter diameter.

Finish allowance

Enter the finish allowance here. This will force SheetCam to leave the part undersized. You will then need to specify a new 'process' to machine the part to the 'finished' size using a finishing cutter if required and/or a different 'Z increment' depth.

Note: Leaving the allowance at zero (0) will machine the contour to full size with no need for a finishing pass.

Feed rate

Enter the required feed rate here.

Ramp angle

'Ramping' allows the cutter to enter the work while travelling in a forward direction. This reduces the load on the Z axis and also allows you to plunge with a 'non-centre cutting' tool (i.e. some 4-flute end mills). The cutter will travel forwards as it plunges, cutting a ramp into the work. This ramp is then machined away. If you are ramping into an open contour or between tabs then the cutter ramps down then backs up to the start of the cut, reverses up to the start point then reverses again and carries on to the end. If the contour is open then the cutter simply carries on at the end of the cut until the ramp is machined away. For small contours the cutter will spiral down to depth. The ramp angle specifies the angle at which the cutter will plunge into the work . 0 degrees or 90 degrees are straight down (no ramping), 5 degrees is very shallow and 85 degrees is very steep.

Note: If a cut path is very short it will not be possible to ramp into the cut. In this case the cutter will be plunged straight down. The cut process will turn yellow to warn you that this is happening.

Plunge rate

Enter the plunge rate here.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Coolant

Select the coolant type from the available choices.

Note: These items only need to be checked if your coolant pump is controlled via software.

Climb cut

Check this box to select 'climb' cutting.

Note: This will reverse the cut direction on closed paths.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new fill process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New fill notes

Basic tab

Click on the 'Basic' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new fill process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New plasma cut

Note: All units based on the selection in the 'Options/Units' menu.

Note: If you need to use a plasma cutter to pierce holes at specific locations the 'Drilling process' can be used with a plasma tool setting for this purpose. See the 'Drilling process' page for more information.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Layer

Select the layer you wish to apply the contour to using the drop down menu shown below.

Contour method

Select the contour method required using the drop down menu shown below.

Note: 'Inside offset' will offset the cutter path to the 'inside' of the contour by half the diameter of the kerf of the tool chosen below.

Note: 'Outside offset' will offset the cutter path to the 'outside' of the contour by half the diameter of the kerf of the tool chosen below.

Note: 'No offset' will set the centre of the tool on the contour line.

Note: The above is for closed contours, for open contours see ‘Offset open paths' on the ‘Cut path’ tab.

Tool

Select the correct tool using the down menu shown below.

Edit

Calls up the 'Plasma Edit' dialogue box.

Feed rate

Enter the required feed rate here.

Loop sharp corners

When plasma/flame/water jet cutting the exit point of the jet lags behind the entry point. This causes rounding of sharp corners. To get around this problem the corner is cut in a loop instead. Set up a simple plasma job on a square and you will see how this works.

Note: Loops will be left out if they would overlap an existing cut path.

Loop size

The slider adjusts the size of the loop used above. This is an arbitrary function and can only be established using trial and error methods as it is dependant upon flame/jet size on your machine. Set the slider, make a test cut and adjust as required.

Lead in

Select the type of lead in required using the 'radio' buttons and enter the size in box.

Note: Size refers to the length of the lead in.

Lead out

Select the type of lead out required using the 'radio' buttons and enter the size in box.

Note: Size refers to the length of the lead out.

Use code snippet

Select the required code snippet from the drop down menu.

Note: The code snippet needs to be previously defined using the 'Tools/New code snippet' function. The snippet is inserted into the code at the start of the cut just before the cutter plunges to depth.

Help

'Help' opens the help file at the relevant location.
Note: This dialogue box can also be accessed via the 'Create a new plasma cut process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Cut path Tab

Cut path

Basic tab

Click on the 'Basic' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Auto/manual

Select auto or manual path optimisation using the radio buttons.

Note: If 'Auto' is selected the cut sequence is calculated automatically. SheetCam tries to minimise rapid moves while adhering to the rules shown under ‘Cutting rules’ below. If 'Manual' is selected then you can manually set the cut sequence (by editing the start points).

Optimise now

This button optimises the cut path immediately. This is useful to see the effect of any changes or to create a starting point for manual editing.

Start point

This is the point where SheetCam assumes the cutter is when it starts calculating the paths. Paths nearest the start point will be cut first while complying with the above rules.

Cutting rules

All inside first

Inside contours are cut first then outside. This is the way SheetCam always used to work. Useful for plasma or for milling/routing when you are cutting all the way through.

Shortest path

This option uses the shortest possible route between contours. This is the one you would use for most milling/routing jobs where you aren't cutting right through.

Keep parts together

Like all inside first, it cuts inside then outside. If your drawing contains more than one part then each part is cut out completely before moving on to the next. This is useful for plasma, where heat distortion can cause problems if you cut all the insides of all parts then cut all the outsides. By the time you get to the last part heat distortion of the sheet can result in the inside not lining up with the outside.

Preferred cut direction

This adds a bias to the path optimisation. For example, if you set the slider toward horizontal, SheetCam will prefer to rapid left/right rather than up/down.

Reverse cut direction

Check this box to reverse the cut direction.

Offset open paths

Open paths are always offset to the right of the start point. That is, if you were standing at the start point looking down the line the offset would be to your right. To reverse the side of the offset, move the start point to the other end of the line. Inside/outside offset make no difference as a line doesn't have an inside or outside.

Note: If you have climb cut selected the cut will start at the opposite end of the path to the start point. I know this is counter intuitive but it is the only way to maintain the 'offset to the right' rule.

Tab length

This control is used to specify the length of the holding tab. Tabs can be any size to suit the application but generally longer tabs have a reduced thickness while shorter tabs are usually left at the material thickness.

Help

'Help' opens the help file at the relevant location.

Back to 'Processes menu'


New plasma notes

Basic tab

Click on the 'Basic' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new plasma cut process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New drilling process

Note: All units based on the selection in the 'Options/Units' menu.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Layer

Select the layer you wish to apply the contour to using the drop down menu shown below.

Tool

Select the correct tool using the down menu shown below.

Note: A special case exists for using the drilling process with a plasma cutter. See the 'Special case' section below for more information.

Edit

Calls up the 'Edit drill' dialogue box.

Start depth

This function specifies the depth at which to start drilling.

Note: This function could be used if you want to drill a hole into the floor of a previously machined pocket that is 1" deep. Set the start 'depth' to 1" (a positive (+) dimension) and SheetCam will start machining at this point. This saves a lot of 'air cutting' time.

Finish depth

Enter the finish depth here. This function controls the total depth of the drilled hole.

Note: This is a positive (+) figure as you are specifying the 'depth' of the hole. Some users expect this to be a minus (-) figure.

Peck depth

Enter the peck depth here. This function controls the depth of each peck of the drilled hole (i.e. how deep the drill will travel before backing out to relieve/break chips).

Note: This is a positive (+) figure as you are specifying the 'depth' of the peck. Some users expect this to be a minus (-) figure.

Peck retract

Enter the peck retract distance here. This function controls the distance the drill 'backs out' of the hole to relieve/break chips.

Note: This is a positive (+) figure as you are specifying the 'retract distance' of the peck.

Plunge rate

Enter the plunge rate here.

Min hole size

Set the minimum hole size here.

Max hole size

Set the maximum hole size here.

Note: Only holes that fall in the range covered by the max. and min. settings will be machined.

Note: If holes have been specified as points in the drawing then SheetCam has no way of knowing the desired hole size. Holes specified as points are always drilled.

Tip:

If you need to centre drill a series of holes prior to drilling set the minimum hole size to zero (0) and the maximum hole size to the size of the largest hole. All the holes on that layer will then be centre drilled.

Spindle speed

Enter the spindle speed here.

Note: Speed only needs to be specified if your spindle motor is controlled via software. However, the post processor will issue a warning if the speed is set to zero (0).

Coolant

Select the coolant type from the available choices.

Note: These items only need to be checked if your coolant pump is controlled via software.

Special case

The drilling process can be used with a plasma cutter to cut holes at the required locations. When you select a plasma cutter as a tool in the drilling process dialogue box most of the options disappear as they are not relevant (see screenshot below). The process performs a function similar to centre drilling but pierces a hole with the cutter instead. The hole can then be drilled to size, on a different machine or by hand, at a later time. Some plasma cutters have a centre punch built into the head. In that case this function can be used to fire the centre punch instead.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new drilling process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Drilling cut path tab

Cut path

Basic tab

Click on the 'Basic' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Auto/manual

Select auto or manual path optimisation using the radio buttons.

Note: If 'Auto' is selected the cut sequence is calculated automatically. SheetCam tries to minimise rapid moves while adhering to the rules shown under ‘Cutting rules’ below. If 'Manual' is selected then you can manually set the cut sequence (by editing the start points).

Optimise now

This button optimises the cut path immediately. This is useful to see the effect of any changes or to create a starting point for manual editing.

Start point

This is the point where SheetCam assumes the cutter is when it starts calculating the paths. Paths nearest the start point will be cut first while complying with the above rules.

Preferred cut direction

This adds a bias to the path optimisation. For example, if you set the slider toward horizontal, SheetCam will prefer to rapid left/right rather than up/down.

Help

'Help' opens the help file at the relevant location.

Back to 'Processes menu'


New drilling notes

Basic tab

Click on the 'Basic' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new drilling process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Edit G-code Snippet

Edit G-code

Notes tab

Click on the 'Notes' tab to access more options.

This function allows for the insertion of code snippets previously written in the 'New code snippet' tool in the 'Tools' menu.

The 'Use code snippet' drop down menu will show any previously written snippets, simply select the one you want to use.

If the drop down menu says 'Enter code' then code can be entered directly into the lower window.

Click <OK> to apply it as a process.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Insert code' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Edit G-code notes

Basic tab

Click on the 'Basic' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Back to 'Processes menu'


Set post variable
This function is used to set post processor variables. Sometimes a particular post may implement features that are not otherwise available in SheetCam. 'Set post variable' is a way of passing parameters to the post processor to control these functions. The variable names and functions are defined in the post.

Variable name

Variable name is defined in the post processor.

Value

Value is the value that will be applied to that variable. This is always metric. It does not take the user's preferred units into account.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Set post processor variable' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New tapping process

Note: All units based on the selection in the 'Options/Units' menu.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Layer

Select the layer you wish to apply the contour to using the drop down menu shown below.

Tool

Select the correct tool using the down menu shown below.

Edit

Calls up the 'Edit tap' dialogue box.

Start depth

This function specifies the depth at which to start tapping.

Note: This function could be used if you want to tap a hole into the floor of a previously machined pocket that is 1" deep. Set the start 'depth' to 1" (a positive (+) dimension) and SheetCam will start machining at this point. This saves a lot of 'air cutting' time.

Finish depth

Enter the finish depth here. This function controls the total depth of the tapped hole.

Note: This is a positive (+) figure as you are specifying the 'depth' of the hole. Some users expect this to be a minus (-) figure.

Spindle speed

Enter the spindle speed here.

Note: Spindle speed must be entered. It is used with the tap pitch to work out the feed rate.

Min hole size

Set the minimum hole size here.

Max hole size

Set the maximum hole size here.

Note: Only holes that fall in the range covered by the max. and min. settings will be machined.

Note: If holes have been specified as points in the drawing then SheetCam has no way of knowing the desired hole size. Holes specified as points are always tapped.

Coolant

Select the coolant type from the available choices.

Note: These items only need to be checked if your coolant pump is controlled via software.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new tapping process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Tapping cut path

Cut path

Basic tab

Click on the 'Basic' tab to access more options.

Notes tab

Click on the 'Notes' tab to access more options.

Auto/manual

Select auto or manual path optimisation using the radio buttons.

Note: If 'Auto' is selected the cut sequence is calculated automatically. SheetCam tries to minimise rapid moves while adhering to the following rules:

1) Open contours are cut first.
2) Inside contours are cut next (i.e. the hole in a washer).
3) Outside contours are cut last.

If 'Manual' is selected then you can manually set the cut sequence(by editing the start points).

Optimise now

This button optimises the cut path immediately. This is useful to see the effect of any changes or to create a starting point for manual editing.

Start point

This is the point where SheetCam assumes the cutter is when it starts calculating the paths. Paths nearest the start point will be cut first while complying with the above rules.

Preferred cut direction

This adds a bias to the path optimisation. For example, if you set the slider toward horizontal, SheetCam will prefer to rapid left/right rather than up/down.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new tapping process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


New tapping notes

Basic tab

Click on the 'Basic' tab to access more options.

Cut path tab

Click on the 'Cut path' tab to access more options.

Notes

Use this area to store any notes you may wish to make regarding the process.

Note: If the machine understands 'comments' then these notes will also appear in the g-code as a comment.

Help

'Help' opens the help file at the relevant location.

Note: This dialogue box can also be accessed via the 'Create a new tapping process' button [image] located in the left-hand vertical toolbar.

Back to 'Processes menu'


Options Menu

Click on a menu item for information.


Tool change

Note: All units based on the selection in the 'Options/Units' menu.

The 'Tool change' dialogue box allows you to specify a tool change location.

Position boxes

Click in the small box to the right and enter the tool change position in the window on the left. The 'position' is the distance from the machine zero point (set using the 'Options/machine' dialogue box) to the location chosen as the tool change position, this can be a positive (+) or a negative (-) figure.

No Z move prior to toolchange

If this is checked SheetCam will not move the Z axis prior to the first toolchange. If it is not checked then SheetCam will move to the rapid clearance height before the toolchange.

Run code before toolchange

If you need to run a block of code prior to a tool change it can be entered here. This is run before the X, Y, Z position moves. For instance if you are using tool length offsets on the machine you can cancel the offset and move the Z axis to a safe height. Examples are:
  • G0 Z??? - where ??? is a position to move the Z axis to in order to clear clamps etc. prior to the move to the toolchange position.
  • M0 - Pause the program execution to allow you time to change tools.

Run code after toolchange

If you need to run a block of code after a tool change it can be entered here. Examples are:
  • X/Y/Z ??? - where??? is a suitable location to start the next operation.
  • Code to reference/zero the tool.

Help

'Help' opens the help file at the relevant location.

Back to 'Options Menu'


Material setup

Note: All units based on the selection in the 'Options/Units' menu.

The 'Material setup' dialogue box allows you to specify material parameters.

Thickness of material

Enter the material thickness here.

Coordinates of bottom left corner

Enter the X and Y coordinate for the bottom left corner of the material. The 'values' are the distances from the machine zero point (set using the 'Options/machine' dialogue box) to the bottom left corner of the material, this can be a positive (+) or a negative (-) figure.

Sizes

Enter the sizes of your material in the X and Y directions.

Rapid clearance

Enter the the amount of 'clearance' you wish to apply during rapid moves.

Note: This is a positive (+) figure as you are specifying the 'clearance' amount and will be the height above Z0 (which is always the top face of the material) to the bottom of the tool. Any rapid move in the Z axis will stop at this point and any further Z axis travel in a downward direction will be at the chosen feed rate.

Height of bottom of material above table

Enter the distance the bottom of the material sits above the table.

Note: This is a positive (+) figure as you are specifying the 'height'. This is used where the part requires a 'sacrificial board' under it in order to machine it (i.e. a 'through' pocket or cut-out in a sheet of material). SheetCam will let you cut into the board but it will not let you cut into the table.

Parking position

If any of the 'Use .. position' boxes are checked then the machine will go to the position entered into the preceding box at the end of the program. For instance, if you just want the tool to lift well clear of the work at the end of the program then just enter the required position and place a check mark in the Z position check box. If you want to move to a specific X,Y coordinate (i.e. to clear a work load/unload area) then use those as well.

Note: If a Z position is specified and it is above the rapid height then the Z axis will move first and then the X,Y axes simultaneously. If Z is below the rapid clearance height (unlikely but it is allowed for) then the Z axis moves last.

Help

'Help' opens the help file at the relevant location.

Back to 'Options Menu'


Setup machine parameters

Note: All units based on the selection in the 'Options/Units' menu.

The 'Setup machine parameters' dialogue box allows you to specify your machine parameters.

Machine origin

Clicking on one of the 'radio buttons' will quickly establish the machine origin relative to the dimensions entered in the 'Table size' windows.

Clicking on the 'Enter coordinates' button will allow you to enter coordinates in the 'coordinates' windows.

Note: 'Machine origin' is usually taken as the bottom left corner of the machine but can be anywhere.

Coordinates of machine origin

Enter the X and Y coordinates for the machine origin.

Note: This is usually a negative (-) value but could be positive (+) if required.

Working envelope size

This is the area of the machine that the cutter can physically cut.

Coordinates of table bottom left

This is the position of the bottom left hand corner of the table relative to the working envelope. Some machines have a large table but a relatively small working envelope. If you are cutting a part that is bigger than the working envelope it can be useful to see if it will fit on the table. If you don't want to display the table then enter 0 for the X and Y sizes.

Table size

Enter the size of the table in the X and Y direction.

Max. clearance between chuck and table

Enter the maximum clearance amount.

Help

'Help' opens the help file at the relevant location.

Back to 'Options Menu'


Complexity

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Allow multiple parts

Checking this item will allow you to have multiple parts within in the same piece of material specified in the 'Options/material' dialogue box.

Plasma cutting

Checking this item will toggle the plasma cutting option on or off. When checked the plasma cutting 'controls' are available under the 'Tools' menu and the 'Processes' menu. The respective buttons also appear on the various 'tool bars'. When unchecked these 'controls' are hidden.

Rotary cutting

Checking this item will toggle the rotary cutting option on or off. When checked the rotary cutting 'controls' are available under the 'Tools' menu and the 'Processes' menu. The respective buttons also appear on the various 'tool bars'. When unchecked these 'controls' are hidden.

Back to 'Options Menu'


Set start point size

Note: All units based on the selection in the 'Options/Units' menu.

This function controls the size of startpoint markers and hole centre markers. The size depends on the size of your drawing. If they are too large reduce this value, if they are too small increase this value.

Enter the required marker size and click <OK>.

Note: Hole centre markers will only update when you next open a drawing.

Back to 'Options Menu'


Set direction arrow size

Note: All units based on the selection in the 'Options/Units' menu.

The size depends on the size of your drawing. If they are too large reduce this value, if they are too small increase this value.

Enter the required arrow size and click <OK>.

Note: This function is used to control the size of the direction arrows shown on the cutter path display and is a percentage of the tool diameter.

Back to 'Options Menu'


Set_arrow_frequency

Note: This is used to control the frequency of the direction arrows shown on the cutter path display. For instance entering a figure of 5 would result in five vectors between each arrow location while entering 8 would effectively space the arrows further apart.

Enter the required arrow frequency and click <OK>.

Back to 'Options Menu'


Units setup

This dialogue box is used to set up the 'base' or 'preferred' units used by many of SheetCam's functions.

Linear units

Enter the linear units from the large drop down menu. Use the scroll bar to see more options.

Angular units

Enter the angular units from the drop down menu.

Feed rate

Enter the feed rate units from the drop down menu.

Thread pitch

Enter the thread pitch units from the drop down menu.
After making any changes click <OK> to accept and close the box.

Note: You can use any units when entering values into any edit boxes (with the exception that linear edit boxes must have linear units and angular edit boxes must have angular units). If you do not specify any units then the preferred units (as set above) are used. If you specify any of the units in the list they will be converted to your preferred units as soon as you leave the edit box.

Example 1: If you type 10mm (with the unit designator mm) into a cut depth box, it will change to 0.3937 inches as soon as you leave the box (assuming your preferred units are inches).

Example 2: If you type 1" (with the unit designator ") into a cut depth box, it will change to 25.4mm as soon as you leave the box (assuming your preferred units are mm).

Example 3: If you type 1 inch (with the unit designator inch) into a cut depth box, it will change to 25.4mm as soon as you leave the box (assuming your preferred units are mm).

Help

'Help' opens the help file at the relevant location.

Back to 'Options Menu'


System parameters

This dialogue box is used to set up the 'System parameters' used by many of SheetCam's functions.

Note: These values should never need changing under 'normal' conditions.

Import link tolerance

Due to rounding errors or drawing inaccuracies sometimes lines and arcs in an outline do not join up exactly. If they are this distance apart or closer the ends are moved so that they join up exactly. This should not be used to compensate for poor drawings.

Max detail reduction error

Some drawings consist of a large number of very small line segments (especially polyline curves converted to DXF). This can slow down processing and produce very large g-code files. It can also slow down machining. SheetCam tries to reduce the number of lines when it loads the drawing. Removing lines introduces small errors and this value is the maximum allowable error. For Plasma cutting you can afford to have quite a large error (say .020"). The setup wizard adjusts this value to suit.

Circle recognition limit

When SheetCam loads a drawing it looks for circles to identify holes for drilling.

Default drill hole tolerance

When you create a drill process SheetCam automatically sets the minimum hole diameter and maximum hole diameter to be just under and just over the actual drill size. This value controls how much tolerance is allowed. If you increase this number the minimum hole diameter will decrease and the maximum hole diameter will increase.

Auto backup interval

Enter the required time (in seconds) for the automatic backup function.

Note: The automatic backup is saved to a temporary file in the SheetCam program folder. If SheetCam is closed normally it deletes the temporary file. If it crashes, the next time you start SheetCam it will detect the file and load it.

Remove duplicate lines

Sometimes drawings can contain multiple overlapping copies of the same lines. These lines normally confuse SheetCam. If this is option is enabled SheetCam will delete all but one copy of the lines. This is time consuming so if you have very complex drawings that take a long time to load, turning this option off will speed up loading considerably.

Do not prompt for updates

The first time SheetCam is started each day it checks for updates (if an internet connection is available). If there is a new update available it asks if you want to install it. If this box is checked you will not be prompted and updates will not be installed.
After making any changes click <OK> to accept and close the box.

Back to 'Options Menu'


Select language

This dialogue box is used to set up the 'System language' of choice.

Select from the available options in the drop down menu.
After making any changes click <OK> to accept and close the box.

Note: You must restart SheetCam for the changes to take effect.

Back to 'Options Menu'


Post processor units

Selecting either 'Inch' or 'Metric' will determine the units used by the post processor.

Back to 'Options Menu'


Select_post_processor

Calls up the standard Windows 'open file' dialogue box below.

Select the correct processor for your machine controller. A brief description of the processor file will appear in the lower window (if available).

Back to 'Options Menu'


G-code extension

Enter the required extension for your CNC controller (eg. .txt, .cnc, .tap, .nc, etc.).

Back to 'Options Menu'


Post_output

Post output to last drawing folder

Checking this item will save any output from SheetCam to the last opened drawing folder on your hard drive. If this is unchecked SheetCam remembers the last folder you used.

Back to 'Options Menu'


Colour Options

Colours

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Colour scheme

Clicking on either 'Colour scheme: White' or 'Colour scheme: Black' will change the background colour of the main view panel.

Other items in list

Clicking on any of the other items in the list will open up the standard Windows 'colour picker' allowing you to select a new color for the item clicked on.

Note: The same changes can be made via the 'View/Colour legend' menu item.

Back to 'Options Menu'


Reopen_last_job

Reopen last job on startup

Checking this menu item will force SheetCam to open the last job saved when it starts.

Back to 'Options Menu'


Reverse_mouse_wheel

Checking this menu item will switch the way the mouse wheel controls the zoom in the main view panel.

Back to 'Options Menu'


Use lower left coordinates

The part position boxes at the bottom of the screen normally show the coordinates of the centre of the part. Checking this menu item changes them to show the coordinates of the lower left corner.

Back to 'Options Menu'


Help Menu

Click on a menu item for information.


Help

Calls up this help file.

Back to 'Help menu'


Tutorials

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Select a tutorial from the available choices.

Back to 'Help menu'


Setup wizard

Click on <Next> and follow the on-screen directions.

Back to 'Help menu'


About

This screen gives information on the current SheetCam version and contact methods.

Clicking on any links will connect to the internet (if available).

Back to 'Help menu'


Utilities

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Click on <Update language file> to update.

Note: This only works on non-English versions.

Back to 'Help menu'


Open licence

Locate the file <Licence.dat> and click <Open>. This will register your version of SheetCam.

Note: This requires a restart of SheetCam to complete the registration.

Back to 'Help menu'


Support file

Create a support file

This will create a support file that can be sent to SheetCam for analysis.

Note: If possible you should have the problem job open when creating a support file.

Enter a brief description of the fault encountered in the text box.

Use the check boxes to select which items are to be included with the support file.

Click on <Create file> to save the support file to your hard drive as a zip file. Enter a suitable name/location in the appropriate boxes and click <OK>.

To create and then email the zipped support file (if your machine has internet access) click on <Create and email file>. The support file will be created as a zip file and your default email program will open with a new mail page already addressed and with the zip file attached.

Back to 'Help menu'


Toolbars

Click on a button for more information.

View toolbar buttons

Run post processor toolbar button

Zoom toolbar buttons

Selection toolbar buttons

Tools toolbar buttons

Processes toolbar buttons

Lower right toolbar


Show_input_paths

Toggles the input paths on or off.

Back to 'Toolbars menu'


Show_input_paths

Show segment ends

Toggles the segment end points on or off.

Back to 'Toolbars menu'


Show path ends

Toggles the path end points on or off.

Note: This can be useful for locating 'non-joined' lines which may cause erratic behaviour.

Back to 'Toolbars menu'


Show tool paths

Toggles the tool paths on or off.

Back to 'Toolbars menu'


Show rapid moves

Toggles the rapid moves on or off.

Back to 'Toolbars menu'


Show path directions

Toggles the path directions on or off.

Back to 'Toolbars menu'


Show machine and work

Toggles the machine and work display on or off.

Back to 'Toolbars menu'


Show cut start points

Toggles the cut start points on or off.

Back to 'Toolbars menu'


Run post processor

Runs the post processor previously chosen from the 'Options/Select post processor' menu.

Back to 'Toolbars menu'


Show machine and work

Estimate cut time

Clicking on this button will estimate the time required to complete the cut.

Back to 'Toolbars menu'


Zoom in

Clicking on this button will zoom the view in.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom out

Clicking on this button will zoom the view out.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom to fit current part

Clicking on this button will zoom the view to fit the current part in the viewing window.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom to fit job

Clicking on this button will zoom the view to fit the job in the viewing window.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom to fit window

Clicking on this button will zoom the view to fit the window 'dragged' on the main screen.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom to fit material

Clicking on this button will zoom the view to fit the material in the viewing window.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Zoom to fit machine

Clicking on this button will zoom the view to fit the machine in the viewing window.

Note: Zooming can also be achieved by using the <Page Up> and <Page Down> keyboard buttons.

Note: If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Toolbars menu'


Scroll the screen with the mouse

When clicked allows you to scroll the view panel by 'dragging' with the mouse.

Note: Hold <Shift> and drag with the mouse to rotate the drawing in three dimensions. Double-click anywhere in the 'view' panel with the left mouse button to return to the 'plan' or overhead view.

Right click options

'Right clicking' while using the 'Scroll screen' selection tool will bring up the following menu screen.

Note: Click on an item for more information.

Back to 'Toolbars menu'


Measure

To use the dimension tool click on the point you want to measure from.

Note: If you click near a vertex (a join between two lines/arcs) or the centre of a circle the dimension will snap to that point.

When you move the mouse the coordinate display at the bottom of the screen shows the X,Y length and the number next to the cursor is the distance from the start to the cursor. If you click on another point the dimension start will move to that point.

You can cancel dimensioning by switching to another mode, pressing <Escape> or by right clicking and selecting 'End measuring'

Back to 'Toolbars menu'


Zoom controls

Clicking on any of these items will zoom the view as required.

Back to 'Toolbars menu'


Place cut

Place cut start point

When clicked allows you to insert the 'Cut start point' on the part at a location of your choosing. The mouse cursor changes to a pointer with an 'S' if you are near a valid start point.

Note: Hold down the <Shift> key to scroll the screen with the mouse. Double-click anywhere in the 'view' panel with the left mouse button to return to the 'plan' or overhead view.

Right click options

'Right clicking' while using the 'Place cut start point' selection tool will bring up the following menu screen.

Note: Click on an item for more information.

Back to 'Toolbars menu'


Place cut properties

Properties

Use code snippet

If you want to apply a previously written code snippet (see 'Tools/New code snippet') at the selected point use the drop down menu to make your selection.

Order

If you wish to change the cutting order of the parts enter the new value for the selected start point in the dialogue box.

Use process settings

If this option is selected (the default) then the start point uses the leadin/leadout settings defined in the process. If it is not selected then you can override the process settings. This is useful if the start point is in a confined space and the default settings are too big for it to fit.

Back to 'Toolbars menu'


Clear all

Clicking on this menu item will clear all the cut start points.

Back to 'Place cut start point'

Back to 'Toolbars menu'


Place Tab

Place holding tab

When clicked allows you to insert a 'holding tab' on the part at a location of your choosing. The mouse cursor changes to a pointer with a 'T' and clicking on the part in the required place will insert the tab. Repeat for each required tab. The size of the tab is defined in the 'Processes/New contour/Cut path' dialogue box.

Right click options

'Right clicking' while the mouse pointer is over a placed tab will bring up the following menu screen.

Note: Click on an item for more information.

Back to 'Toolbars menu'


Tab Delete

Delete

Clicking on this function deletes the selected tab.

Note: You must have at least one tab before this menu item appears in the list.

Back to 'Place tab'

Back to 'Toolbars menu'


Tab copy

Copy from

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

This will copy tabs from another process using the same layer. If no other processes use this layer then 'no processes available' will be displayed instead.

Back to 'Place tab'

Back to 'Toolbars menu'


Clear all

Clicking on this menu item will clear all the placed tabs.

Back to 'Place tab'

Back to 'Toolbars menu'


Edit contour properties

Use this function to move or copy contours to different layers. Click on a contour to select it. Hold the <Control> key to select multiple contours.

Note: Hold down the <Shift> key to scroll the screen with the mouse. Double-click anywhere in the 'view' panel with the left mouse button to return to the 'plan' or overhead view.

Right click options

'Right clicking' while using the 'Edit Contour' selection tool will bring up the following menu screen.

Note: Click on an item for more information.

Back to 'Toolbars menu'


Properties

Clicking this function opens a dialogue box that shows how many contours you have selected and which layers they are on.

Click <OK> to close the box.

Back to 'Edit contour properties'

Back to 'Toolbars menu'


Move to layer

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Chose either a 'New layer' or an existing layer. This will move the selected contour(s) to the chosen layer.

Choosing 'New layer' will open the following window.

Enter a new name for the layer and click <OK>.

Back to 'Edit contour properties'

Back to 'Toolbars menu'


Copy to layer

'Hovering' over or clicking this menu item will open the following pop-out dialogue box.

Chose either a 'New layer' or an existing layer. This will copy the selected contour(s) to the chosen layer (but leave the original contour(s) intact on the original layer).

Choosing 'New layer' will open the following window.

Enter a new name for the layer and click <OK>.

Back to 'Edit contour properties'

Back to 'Toolbars menu'


Move part

When clicked allows you to move the part in relation to the material/machine.

Click on the part to select it then drag it to the new position. You can also copy and duplicate the part with this function.

TIP: 'Copy' and 'Duplicate' have different functions as follows:

Copy: This will make a complete copy of the drawing and processes. The copy will be completely independent of the part it was copied from.

Duplicate: This will perform a 'step and repeat' of the original drawing and processes. Any changes made to the original will be reflected in the duplicate.

Note: Hold down the <Shift> key to scroll the screen with the mouse. Double-click anywhere in the 'view' panel with the left mouse button to return to the 'plan' or overhead view.

Right click options

'Right clicking' while using the 'Move' selection tool will bring up the following menu screen.

Note: Click on an item for more information.

Back to 'Toolbars menu'


Copy

Click on this function to copy the part. A part consists of a drawing with its associated processes. Copy will make a complete copy of the drawing and processes. The copy will be completely independent of the part it was copied from.

Back to 'Move part'

Back to 'Toolbars menu'


Duplicate

Click on this function to duplicate the part. Duplicate will perform a 'step and repeat' of the original drawing and processes. Any changes made to the original will be reflected in the duplicate.

Back to 'Move part'

Back to 'Toolbars menu'


Align

Click on this function to align the drawing in SheetCam to the work on your machine. For example, imagine you have a component or piece of material (here after called 'the job') that you have clamped to the table. Instead of carefully positioning'the job' to line up with the drawing/machine axes you can clamp 'the job' roughly in place then line the drawing up to match it. This is also very useful when drilling circuit boards.

Pick two points on 'the job' that are spaced as far apart as possible and measure their coordinates by jogging the machine and using an edge finder or lining up a pointed cutter by eye. Click on <Align> and then click on the first point on the part in the view window and the following dialogue box will appear.

Enter the actual coordinates of this point and click <OK>. Now click on the second point on the part in the view window and enter the coordinates of that point and click <OK>. The drawing will be moved and rotated to suit 'the job'.

Back to 'Move part'

Back to 'Toolbars menu'


Array

Clicking on 'Array' will open the following dialog box. This creates an array of duplicates (step and repeat). Select the part(s) you want to array using 'Ctrl-click' or drag a box to select multiple parts then 'right-click' and select 'Array'.

Number of columns/rows

Enter the number of columns and rows required. A matrix of parts will be generated with the number of columns and rows specified.

Part spacing

If 'Gap between parts' is selected then X and Y represent the space between the duplicates.

Note: To calculate the spacing the parts are assumed to be rectangular, with the rectangle being the smallest that will completely enclose the part. For some oddly shaped parts you may well end up using a negative X or Y to minimize wasted material.

If 'Grid' is selected then X and Y represent the horizontal and vertical increment. For instance if X is 2" then the duplicates will be placed every 2" in the X axis.

Offset even rows

If you are laying out irregularly shaped or circular parts then simply placing them on a regular grid would be inefficient. Instead, you can offset alternate rows to pack them in more tightly. If an array does not come out the way you want it to you can always undo (Edit->Undo or Ctrl-Z) the operation.

Enabled

Clicking the 'Enabled' check box enables the 'Offset even rows' function. Dimensions can be left in the boxes and used as required by simply toggling the 'Enabled' check box on or off.

Back to 'Move part'

Back to 'Toolbars menu'


Delete

Clicking on this function deletes the selected item.

Back to 'Move part'

Back to 'Toolbars menu'


Disable

Disables the part. This is the equivalent of clicking on the check mark next to the part. A disabled part will not be cut. If you 'right-click' on a disabled part this menu will show 'Enable' instead.

Note: Disabling parts can be quite useful, especially if you are cutting a lot of the same parts. You can nest the parts on the sheet then disable all but one. Cut that one to check the settings are correct and if they are you can then
enable the others and finish the job.

Back to 'Move part'

Back to 'Toolbars menu'


Set bump increment

When moving a part you can 'bump' it a fixed amount using the arrow keys. 'Bump increment' sets the amount each 'bump' moves the part. Click on the function name to call up the dialogue box below.

Enter the required value and click <OK> to accept.

Back to 'Move part'

Back to 'Toolbars menu'


Set grid size

Click on the function name to call up the 'Set grid size' dialogue box below.

If you set the grid size to be greater than zero (0) when you move the part it will always 'snap' to the nearest multiple of the grid size.

Back to 'Move part'

Back to 'Toolbars menu'


New mill button

Clicking on this button will open the 'New mill/router' set up window.

Note: Use this button for ALL rotary tools (mills, drills, taps etc.)

Note: This can also be accessed via the 'Tools/New mill/router' menu item.

Back to 'Toolbars menu'


New plasma button

Clicking on this button will open the 'New plasma cutter' set up window.

Note: This can also be accessed via the 'Tools/ New plasma cutter ' menu item.

Back to 'Toolbars menu'


Add new code snippet

Clicking on this button will open the 'New code snippet' set up window.

Note: This can also be accessed via the 'Tools/ New code snippet' menu item.

Back to 'Toolbars menu'


Add new contour

Clicking on this button will open the 'New contour' set up window.

Note: This can also be accessed via the 'Process/New contour ' menu item.

Back to 'Toolbars menu'


Add new fill

Clicking on this button will open the 'New fill' set up window.

Note: This can also be accessed via the 'Process/New fill ' menu item.

Back to 'Toolbars menu'


Add new plasma process

Clicking on this button will open the 'New plasma process' set up window.

Note: This can also be accessed via the 'Process/New plasma cut ' menu item.

Back to 'Toolbars menu'


Add new drilling process

Clicking on this button will open the 'New drilling process' set up window.

Note: This can also be accessed via the 'Process/Drilling ' menu item.

Back to 'Toolbars menu'


Add new tapping process

Clicking on this button will open the 'New tapping process' set up window.

Note: This can also be accessed via the 'Process/Tapping ' menu item.

Back to 'Toolbars menu'


Edit G-code

Clicking on this button will open the 'Edit G-code' set up window.

Note: This can also be accessed via the 'Process/Insert code ' menu item.

Back to 'Toolbars menu'


Set post processor variable

Clicking on this button will open the 'Set post variable' set up window.

Note: This can also be accessed via the 'Process/ Set post variable' menu item.

Back to 'Toolbars menu'


Information area

Shows file loading bars, hints etc.

Back to 'Toolbars menu'


Cursor_position

Displays the current cursor position.

Back to 'Toolbars menu'


Part centre

Enter the location of the part centre in the X and Y directions to move the part.

Note: Part centre becomes lower left corner if 'Options/Use lower left coordinates' is turned on.

Back to 'Toolbars menu'


Angle

To rotate the part enter the required angle.

Note: To rotate clockwise enter a positive (+) value, to rotate counterclockwise enter a negative (-) value.

Back to 'Toolbars menu'


Mirror

Checking the <X> box will mirror the part in the X plane.

Checking the <Y> box will mirror the part in the Y plane

Checking both boxes will mirror the part in both planes.

Back to 'Toolbars menu'


Hints and Tips

Centre drilling

Context sensitive help

Copy and duplicate differences

Creating your drawing

Depth of cut, peck depth etc.

Entering values

Finish allowance

Machine and material parameters

Mouse wheel

Zooming and panning


Centre drilling

If you need to centre drill a series of holes prior to drilling open a new drill process then set the minimum hole size to zero (0) and the maximum hole size to the size of the largest hole. All the holes on that layer will then be centre drilled.

Back to 'Hints and Tips menu'


Context sensitive help

Clicking on an open palette or settings window and pressing the <F1> key will open the specific help file for that item.

Back to 'Hints and Tips menu'


Copy and duplicate differences

The 'copy' and 'duplicate' commands have very specific meanings in SheetCam. Each acts upon the drawing/processes in a different way as shown below.

Copy: This will make a complete copy of the drawing and processes. The copy will be completely independent of the part it was copied from.

Duplicate: This will perform a 'step and repeat' of the original drawing and processes. Any changes made to the original will be reflected in the duplicate.

Back to 'Hints and Tips menu'


Creating your drawing

To allow SheetCam to understand your drawing you need to follow a few simple rules.

Outlines must be properly closed

Shapes must not self intersect

Explode text in DXF files

Use layers

Splines and bezier curves

Blocks and groups

Back to 'Hints and Tips menu'


Outlines must be properly closed

A closed shape is any shape where the lines completely enclose an area. A square is a simple example of a closed shape. It has an inside and an outside so SheetCam needs to work out which side you want to cut. A simple line is a open shape as there is no inside or outside therefore SheetCam treats it differently.

So what is meant by 'properly closed'? Let's take a simple example. You draw a rectangle using four lines. However two of the lines don't quite meet. On the screen it looks fine unless you zoom in very close. When you load the drawing into SheetCam it will recognize that two ends don't meet and it will assume that the shape is open so you can't cut it out. All open lines will be shown on the screen in purple. If your lines are very close (as defined under 'Options/Systems parameters') SheetCam will automatically move the ends so that they touch. It is not good practise to rely on this feature, always try to draw properly closed shapes.

So how do I find problems?

Turn off the show segment ends button [image] and turn on the show path ends button [image]. The start and end points of each line will be shown. A closed shape has no start and no end so there will be no markers if the shape is fully closed. If you see the end markers on a 'supposedly' closed shape it means the lines are not joined at that location.You can now go back to your drawing and fix the problem.

Note: 'Snaps' are your best weapon against problems like this. Use 'grid' snaps and 'end' snaps whenever possible. They are the best way to create accurate drawings. If you are not familiar with using snaps then look in the documentation for your CAD/drawing program. Virtually all CAD/drawing programs have some form of snap capability.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Shapes must not self intersect

A good example of a self intersecting shape is the figure 8. In the middle of the 8 the lines cross over each other. Imagine a path in the shape of an 8 and you are walking along it. At one point the outside is on your left and another point the outside is on your right. There is no rational way to cut this shape. SheetCam tries but the results will almost undoubtedly not be what you are after.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Explode text in DXF files

DXF files cannot handle 'True Type' fonts very well as there is no 'standardized' format to follow. To guarantee that the cut path is exactly the same as your drawing you need to convert any text into lines. This is often called 'exploding'. If you are not familiar with 'exploding' text look in the documentation for your CAD/drawing program to find out more. If your CAD/drawing package supports HPGL export then try exporting your drawing as HPGL. Most CAD/drawing packages will automatically convert text to lines when exporting HPGL.

Note: Some drawing programs have an option to 'convert text to lines' rather than having an 'explode' function but the end result is the same, text blocks are converted to lines that SheetCam will recognize.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Use layers

If you want to perform more than one operation on your part then you will need to separate your drawing into layers. Each time you run a process in SheetCam the process is applied to everything on that layer. You can create your drawing using 'layers' in CAD programs and in 'most' drawing programs (check your CAD/drawing program documentation for more information).

Note: If your drawing is all on one layer you can use SheetCam to split different processes off onto their own layers. Use the 'Edit contour' window to move parts to a different layer by first selecting the 'Edit contour properties' button [image] . Then click on a drawing section to select it and right-click to call up the 'Edit contour' window. Select either a new layer (and provide a unique name) or an existing layer to move the selection to.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Splines and bezier curves

Try not to use splines and/or bezier curves. SheetCam cannot currently handle these entities. If you have to use splines then first of all, try to save the drawing as HPGL or AutoCad DXF V12. If that does not work then you may be a ble to 'explode' the splines to convert them into polylines. CorelDraw is particularly bad for this. For best results always use HPGL export instead of DXF export with CorelDraw.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Blocks and groups

Do not use blocks and/or groups. SheetCam does not currently understand blocks. Explode the blocks/groups into their component parts before saving the file.

Back to 'Creating your drawing'

Back to 'Hints and Tips menu'


Depth of cut

Depth of cut, peck depth etc.

Any 'depths' are always entered as a positive (+) figure as you are specifying the 'depth' of cut. Some users expect this to be a minus (-) figure.

Back to 'Hints and Tips menu'


Entering values

Whenever you enter a value into an edit box you can use any units you like. The units you use will be converted into your 'preferred units' as soon as you leave the edit box.

For example if your default units are millimetres but you are using a 0.25 inch cutter then just type in 0.25 in. The units are not case sensitive so 0.25IN 0.25 inch or 0.25 Inch would all work. If you type in a value without any units SheetCam assumes you are using your preferred units.

As soon as you leave the edit box it will be converted to 6.35mm

The available linear units are:

Metric: um, mm, cm, m

Inch: mil, thou, in, inch, ", feet, foot, '

The available angular units are:

degrees, deg, radians, rad

The available feed rate units are

Metric: mm/min, m/min, mm/sec, m/sec

Inch: IPM, inch/min, IPS, inch/sec

Back to 'Hints and Tips menu'


Finish allowance

The finish allowance option forces SheetCam to leave the part under or over sized. A positive finish allowance will leave some material behind for a finishing pass using a new process. This allows you to use a different cutter and/or Z increment for the finishing pass. A negative finish allowance will remove more material. This is useful if you have a close tolerance hole and you need to make it slightly bigger. Note that the biggest negative finish allowance you can use is slightly less than the cutter radius.

Note: Leaving the allowance at zero (0) will machine the contour/pocket to full size with no finishing pass.

Back to 'Hints and Tips menu'


Machine and material parameters

SheetCam can show the machine table and material outlines for reference purposes. It also uses the material thickness and height above the table to work out if the cutter is likely to crash into the table.

Machine parameters

Material parameters

Back to 'Hints and Tips menu'


Machine parameters

The settings for machine parameters can be accessed via the 'Options/Machine' menu item.

X and Y coordinates of table origin

These are the absolute coordinates of the bottom left hand corner of the table.

Table width

This is the width of the table (X axis).

Table depth

This is the depth of the table (Y axis).

Max clearance between the chuck and the table

This is the maximum available clearance on the Z axis (i.e. the clearance between the chuck and table with the Z axis raised to the maximum height). It is used to work out if it is possible to fit the work on the machine.

Note: As with any input boxes you can enter values in any measurement system. See 'Entering values' for more information.

Back to 'Machine and material parameters'

Back to 'Hints and Tips menu'


Material parameters

The settings for material parameters can be accessed via the 'Options/Material' menu item.

Thickness of work

This is the total thickness of the material being machined.

X and Y coordinates of bottom left corner

These are the absolute coordinates of the bottom left hand corner.

X and Y size

The overall size of the work (X and Y axes).

Rapid clearance

The height above the work to run the tool when moving between cuts.

Height of bottom of material above table

Enter the distance the bottom of the material sits above the table.

Note: This is a positive (+) figure as you are specifying the 'height'. This is used where the part requires a 'sacrificial board' under it in order to machine it (i.e. a 'through' pocket or cut-out in a sheet of material). SheetCam will let you cut into the board but it will not let you cut into the table.

Note: As with any input boxes you can enter values in any measurement system. See 'Entering values' for more information.

Back to 'Machine and material parameters'

Back to 'Hints and Tips menu'


Mouse wheel

If you have a 'scroll mouse' the 'mouse wheel' can also be used to zoom in and out. If the zoom directions are opposite to the way you like to work you can change the direction of zoom using the 'Options/Reverse mouse wheel' option.

Back to 'Hints and Tips menu'


Zooming and panning

Zooming in and out

There are three methods of zooming in and out:

      • The mouse wheel zooms the screen at any time.
      • Use the zoom buttons [image] on the toolbar.
      • Use the <Page Up> and <Page Down> keys on the keyboard.

Panning

There are two methods of panning the screen:
      • Use the keyboard arrow keys to pan the screen at any time.
      • If you are in 'drag' mode (i.e. the [image] toolbar button is selected) holding down the left mouse button and moving the mouse will drag the drawing.

Rotating the screen in 3D

You have to be in 'drag' mode (i.e. the [image] toolbar button is selected) to rotate the screen. Hold down the <Shift> key and move the mouse to rotate the drawing.

Drag mode

If the pointer button [image] is selected then you will automatically be in drag mode as soon as you press a mouse button. Holding down the <Shift> key will enable drag mode while any other selection tool is active. The mouse pointer will change into a hand to show you are in drag mode. On releasing the <Shift> key the previous selection tool will be reactivated.

Back to 'Hints and Tips menu'


FAQ

Frequently asked questions

Q: I have a circular pocket with a small keyway tangent to the outside contour. Is there a way to machine the circular pocket then do a tool change to a smaller tool and re-machine the keyway.

A: The easiest way is to use two contour processes. First cut the shape with your larger cutter. As the cutter won't fit in the keyway it will just leave a small bump where the keyway should be. You can now create another contour process using the smaller cutter. This is slightly wasteful because the small cutter will travel round the whole outline even though you only need to cut the keyway.

A better alternative is to draw a rectangle on another layer that covers the keyway and extends outwards by at least 1/2 the cutter diameter. You can then use an inside profile on this rectangle to just cut the keyway.

Is the key going to have rounded corners to compensate for the cutter radius? If not then turn on 'overcut corners' in the 'cut path' tab of the contour process. This will cut into the corners of the keyway to allow the square key to fit.

Q: When you are using 'No offset' is there a way to change the start point from the outside of the cut to the inside.

A: With 'No offset' SheetCam has no way of working out what side of the cut you want to keep. A way to work around this is to use an inside or outside offset and use a negative finish allowance to return the cut path to nearly on the line.

Example: If you are using a 0.25in cutter, use a finish allowance of -0.121" (SheetCam will not allow you to use a bigger finish allowance). It will mean that your part will come out 0.004" over/under size.

Q: My outline is shown in grey and I cannot offset it.

A: Somewhere on the outline the lines don't quite join up. Turn off the show segment ends button [image] and turn on the show path ends button [image] . The start and end points of each line will be shown. A closed shape has no start and no end so there will be no markers if the shape is fully closed. If you see the end markers on a 'supposedly' closed shape it means the lines are not joined at that location.You can now go back to your drawing and fix the problem then resave and open it again in SheetCam.

Note: 'Snaps' are your best weapon against problems like this. Use 'grid' snaps and 'end' snaps whenever possible. They are the best way to create accurate drawings. If you are not familiar with using snaps then look in the documentation for your CAD/drawing program. Virtually all CAD/drawing programs have some form of snap capability

Q: My cut paths look correct on the screen but when I try to run the G-code only part of the job gets cut.

A: SheetCam is running in demo mode. Check in 'Help/About' to see if SheetCam has found your licence.

Q: I have a simple matrix of 4 holes. There is no milling, just the drilling. I defined the drill and the drill process on the appropriate layer. The graphics look OK except there are no rapid moves shown. No way for the tool to get to the holes. When I run the post processor the code has no moves in it and no drilling.

A: If there are no rapid moves shown then the holes are not being drilled. The most likely reason is that the min. hole size and max. hole size are not set correctly. Only holes between those two sizes will be drilled. Try increasing the max. hole size and decreasing the min. hole size.

Q: I have drawn a shape with sharp edges but when SheetCam shows the cut path the corners are rounded. What is happening?

A: The display shows the centre line of the cutter. Imagine your cutter is a piece of solid bar. As it rolls round the corner the centre line of the bar follows an arc centred on the point of the corner. The cutting edge follows the sharp corner precisely. This is the most efficient way to cut a corner.

Q: I created a new tool and then when I loaded a previously saved job the tool disappeared.

A: 'Job' files contain their own tool sets. If you load a 'job' SheetCam will use that toolset. The way around the problem is to save your toolset before loading the job. You can then reload it at a later date.

Q: I would like to see an accurate description of 'polyline' and 'spline'. I know these are basic words but an understanding of them is taken for granted in most documents and they are not self explanatory.

A: A polyline is a line that can contain multiple vertices and segments; the segments being either straight lines or arcs. It can also be a single segment straight line or arc. In AutoCAD for example you can convert an arc into a polyline. They appear to be exactly the same, which they are, but the information is stored differently.

A spline is a curve, not actually made up of multiple arcs, but defined by a mathematical equation.

Q: I am profiling a part mounted on top of a spoil board. I want it to cut slightly into the spoil so I get a nice sharp edge on my part but SheetCam shows an error and changes the cut depth.

A: You can define a spoil board thickness using the 'Height of bottom of material above table' setting found under the 'Options/Material' menu item. You will still get a warning if you cut right through the spoil board.

Q: Why would the lead in options be disabled? They used to work but are now greyed out.

A: You have 'Overcut corners' or 'Sharpen corners' on the 'Cut Path' tab checked. You cannot use lead in when overcutting or sharpening corners.